package org.kne.cloud.network.srv6;

import java.util.UUID;

public class KLALBRoutingProtocolJsonData {
	public static final String OPEN_LINES_REQ="openlinesreq";
	public static final String OPEN_LINES_RESP="openlinesresp";
	private String type;
	private UUID uuid;
	private Object data;
	public String getType() {
		return type;
	}
	public Object getData() {
		return data;
	}
	public UUID getUuid() {
		return uuid;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((data == null) ? 0 : data.hashCode());
		result = prime * result + ((type == null) ? 0 : type.hashCode());
		result = prime * result + ((uuid == null) ? 0 : uuid.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		KLALBRoutingProtocolJsonData other = (KLALBRoutingProtocolJsonData) obj;
		if (data == null) {
			if (other.data != null)
				return false;
		} else if (!data.equals(other.data))
			return false;
		if (type == null) {
			if (other.type != null)
				return false;
		} else if (!type.equals(other.type))
			return false;
		if (uuid == null) {
			if (other.uuid != null)
				return false;
		} else if (!uuid.equals(other.uuid))
			return false;
		return true;
	}
	public KLALBRoutingProtocolJsonData(String type, UUID uuid, Object data) {
		super();
		this.type = type;
		this.uuid = uuid;
		this.data = data;
	}
	@Override
	public String toString() {
		return "KLALBRoutingProtocolJsonData [type=" + type + ", uuid=" + uuid + ", data=" + data + "]";
	}
	
}
